<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://www.ibatis.com/dtd/sql-map-2.dtd">

<sqlMap namespace="FeriadoDetalle">

	<resultMap id="result" class="arg.ros.acc.vo.feriado.FeriadoDetalleVO">
    	<result property="idferiadodetalle" column="IDFERIADODETALLE" />
    	<result property="idferiado" column="IDFERIADO" />
    	<result property="descripcion" column="DESCRIPCION" />
    	<result property="fecha" column="FECHA" />
	</resultMap>

	<select id="obtenerFeriadoDetalle" resultMap="result">
		SELECT * FROM FERIADODETALLE
		<dynamic prepend="WHERE">
    		<isNotEmpty prepend="AND" property="idferiadodetalle">
				TO_CHAR(FERIADODETALLE.IDFERIADODETALLE) = #idferiadodetalle#
			</isNotEmpty>
    		<isNotEmpty prepend="AND" property="idferiado">
			</isNotEmpty>
    		<isNotEmpty prepend="AND" property="descripcion">
				UPPER(FERIADODETALLE.DESCRIPCION) = UPPER(#descripcion#)
			</isNotEmpty>
    		<isNotEmpty prepend="AND" property="fecha">
				TO_CHAR(FERIADODETALLE.FECHA, 'DD/MM/YYYY') = #fecha#
			</isNotEmpty>
  		</dynamic>
	</select>

	<select id="obtenerFiltroFeriadoDetalle" resultMap="result" parameterClass="java.util.Map">
 		SELECT * FROM FERIADODETALLE
		<dynamic prepend="WHERE">
    		<isNotEmpty prepend="AND" property="idferiadodetalle">
				UPPER(TO_CHAR(FERIADODETALLE.IDFERIADODETALLE)) LIKE UPPER('%$idferiadodetalle$%')
			</isNotEmpty>
    		<isNotEmpty prepend="AND" property="idferiado">
			</isNotEmpty>
    		<isNotEmpty prepend="AND" property="descripcion">
				UPPER(TO_CHAR(FERIADODETALLE.DESCRIPCION)) LIKE UPPER('%$descripcion$%')
			</isNotEmpty>
    		<isNotEmpty prepend="AND" property="fecha">
				TO_CHAR(FERIADODETALLE.FECHA, 'DD/MM/YYYY') = #fecha#
			</isNotEmpty>
		</dynamic>
	</select>

	<select id="totalFeriadoDetalle" resultClass="java.lang.Integer">
		SELECT COUNT(*) AS VALUE FROM (
			SELECT * FROM FERIADODETALLE
			<dynamic prepend="WHERE">
	    		<isNotEmpty prepend="AND" property="idferiadodetalle">
					FERIADODETALLE.IDFERIADODETALLE LIKE UPPER('%$idferiadodetalle$%')
				</isNotEmpty>
	    		<isNotEmpty prepend="AND" property="idferiado">
				</isNotEmpty>
	    		<isNotEmpty prepend="AND" property="descripcion">
					FERIADODETALLE.DESCRIPCION LIKE UPPER('%$descripcion$%')
				</isNotEmpty>
	    		<isNotEmpty prepend="AND" property="fecha">
					FERIADODETALLE.FECHA = #fecha#
				</isNotEmpty>
			</dynamic>
		) 
	</select>
	
	
		<select id="totalSinFiltroFeriadoDetalle" resultClass="java.lang.Integer">
		SELECT COUNT(*) AS VALUE FROM (
			SELECT * FROM FERIADODETALLE
			<dynamic prepend="WHERE">
	    		<isNotEmpty prepend="AND" property="idferiadodetalle">
					FERIADODETALLE.IDFERIADODETALLE LIKE UPPER('%$idferiadodetalle$%')
				</isNotEmpty>
	    		<isNotEmpty prepend="AND" property="idferiado">
				</isNotEmpty>
	    		<isNotEmpty prepend="AND" property="descripcion">
					FERIADODETALLE.DESCRIPCION LIKE UPPER('%$descripcion$%')
				</isNotEmpty>
	    		<isNotEmpty prepend="AND" property="fecha">
					FERIADODETALLE.FECHA = #fecha#
				</isNotEmpty>
			</dynamic>
		) 
	</select>
	
	
	
	
	
	
	
	

	<insert id="insertarFeriadoDetalle" parameterClass="arg.ros.acc.vo.feriado.FeriadoDetalleVO" >
		INSERT INTO FERIADODETALLE(
					IDFERIADODETALLE,
					IDFERIADO,
					DESCRIPCION,
					FECHA)
		 VALUES (
					#idferiadodetalle#,
					#idferiado#,
					#descripcion#,
					#fecha#
		) 
	</insert>

	<update id="actualizarFeriadoDetalle" parameterClass="arg.ros.acc.vo.feriado.FeriadoDetalleVO">
		UPDATE 
					FERIADODETALLE 
		SET 
					IDFERIADODETALLE = #idferiadodetalle#, 
					IDFERIADO = #idferiado#, 
					DESCRIPCION = #descripcion#, 
					FECHA = #fecha# 
		
		<dynamic prepend="WHERE">
					IDFERIADODETALLE = #idferiadodetalle# 
		</dynamic>
	</update>

	<delete id="eliminarFeriadoDetalle" parameterClass="arg.ros.acc.vo.feriado.FeriadoDetalleVO">
		DELETE FROM 
					FERIADODETALLE
		WHERE 
					IDFERIADODETALLE = #idferiadodetalle# 
	</delete>
	
</sqlMap>